Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.ui
Class ProjectManager

    java.lang.Object
      edu.stanford.smi.protege.ui.ProjectManager

    public class ProjectManager

extends Object

Manager for the open project. The original model was that more than one project could be open at a time. This is not however the case now so this object just manages a single Project. It has a handle to the view that is displaying this project.

Author:
  Ray Fergerson

Method Summary
`void` | `addUserToolBar(JToolBar toolBar)`
`void` | `archiveProjectRequest()`
`void` | `bringErrorFrameToFront()`
`boolean` | `buildProject(KnowledgeBaseFactory factory)`
`void` | `buildProjectRequest()`
`void` | `cascadeWindows(Point p, Collection w)`
`void` | `cascadeWindowsRequest()`
`void` | `changeIncludedProjectURIsRequest(Collection includedProjectURIs)`
`void` | `changeProjectStorageFormatRequest()`
`boolean` | `closeCurrentProject()`
`boolean` | `closeProjectRequest()`
`void` | `configureProjectRequest()`
`boolean` | `createNewProjectRequest()`
`void` | `displayErrors(String label, Collection errors)`
`void` | `exitApplicationRequest()`
`void` | `exportProjectRequest(ExportPlugin plugin)`
`Project` | `getCurrentProject()`
`JToolBar` | `getCurrentProjectMainToolBar()`
`JMenuBar` | `getCurrentProjectMenuBar()`
`JToolBar` | `getCurrentProjectToolBar()` Deprecated. Use #getCurrentProjectSystemToolBar()
`ProjectView` | `getCurrentProjectView()`
`JComponent` | `getMainPanel()`
`static ProjectManager` | `getProjectManager()`
`JToolBar` | `getUserToolBar(String name)`
`void` | `importProjectRequest(ImportPlugin plugin)`
`void` | `loadProject(URI uri)`
`void` | `loadProject(URI uri, KnowledgeBaseFactory factory)`
`Project` | `loadProjectFromURI(URI uri, Collection errors)`
`void` | `mergeIncludedProjectsRequest()`
`void` | `newProjectRequest()`
`void` | `openProjectRequest()`
`boolean` | `openProjectRequest(Component parent)`
`void` | `openRemoteProjectRequest()`
`Project` | `openRemoteProjectRequest(String serverName, String username, String password, String projectName)`
`void` | `reloadUI(boolean regenerate)`
`void` | `removeUserToolBar(JToolBar toolBar)`
`void` | `requestRevertProject()`
`boolean` | `saveProjectAsRequest()`
`boolean` | `saveProjectAsRequest(KnowledgeBaseFactory factory)`
`boolean` | `saveProjectRequest()`
`void` | `saveToFormatRequest()`
`void` | `setActiveProjectURI(URI projectURI)`
`void` | `setCurrentProject(Project project)`
`void` | `setCurrentProject(Project project, boolean remote)`
`void` | `setCurrentProject(Project project, boolean remote, boolean suppressDisplay)`
`void` | `setExitVMOnApplicationExit(boolean exit)`
`void` | `setLookAndFeel(String lookAndFeelName)`
`void` | `setRootPane(JRootPane rootPane)`
`String` | `toString()`
`void` | `updateLookAndFeel(Collection windows)`
`void` | `updateUI()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### buildProjectRequest

    public void buildProjectRequest()

### buildProject

    public boolean buildProject(KnowledgeBaseFactory factory)

### importProjectRequest

    public void importProjectRequest(ImportPlugin plugin)

### exportProjectRequest

    public void exportProjectRequest(ExportPlugin plugin)

### cascadeWindows

    public void cascadeWindows(Point p,
                               Collection w)

### cascadeWindowsRequest

    public void cascadeWindowsRequest()

### changeProjectStorageFormatRequest

    public void changeProjectStorageFormatRequest()

### closeProjectRequest

    public boolean closeProjectRequest()

### closeCurrentProject

    public boolean closeCurrentProject()

### configureProjectRequest

    public void configureProjectRequest()

### getCurrentProjectMenuBar

    public JMenuBar getCurrentProjectMenuBar()

### getCurrentProjectToolBar

    @Deprecated
    public JToolBar getCurrentProjectToolBar()

  Deprecated. Use #getCurrentProjectSystemToolBar()

### getCurrentProjectMainToolBar

    public JToolBar getCurrentProjectMainToolBar()

### displayErrors

    public void displayErrors(String label,
                              Collection errors)

### bringErrorFrameToFront

    public void bringErrorFrameToFront()

### exitApplicationRequest

    public void exitApplicationRequest()

### getCurrentProject

    public Project getCurrentProject()

### getCurrentProjectView

    public ProjectView getCurrentProjectView()

### getMainPanel

    public JComponent getMainPanel()

### getProjectManager

    public static ProjectManager getProjectManager()

### changeIncludedProjectURIsRequest

    public void changeIncludedProjectURIsRequest(Collection includedProjectURIs)

### setActiveProjectURI

    public void setActiveProjectURI(URI projectURI)

### loadProject

    public void loadProject(URI uri)

### loadProjectFromURI

    public Project loadProjectFromURI(URI uri,
                                      Collection errors)

### loadProject

    public void loadProject(URI uri,
                            KnowledgeBaseFactory factory)

### mergeIncludedProjectsRequest

    public void mergeIncludedProjectsRequest()

### createNewProjectRequest

    public boolean createNewProjectRequest()

### saveToFormatRequest

    public void saveToFormatRequest()

### newProjectRequest

    public void newProjectRequest()

### openProjectRequest

    public void openProjectRequest()

### openProjectRequest

    public boolean openProjectRequest(Component parent)

### setCurrentProject

    public void setCurrentProject(Project project)

### setCurrentProject

    public void setCurrentProject(Project project,
                                  boolean remote)

### setCurrentProject

    public void setCurrentProject(Project project,
                                  boolean remote,
                                  boolean suppressDisplay)

### openRemoteProjectRequest

    public void openRemoteProjectRequest()

### openRemoteProjectRequest

    public Project openRemoteProjectRequest(String serverName,
                                            String username,
                                            String password,
                                            String projectName)

### reloadUI

    public void reloadUI(boolean regenerate)

### saveProjectAsRequest

    public boolean saveProjectAsRequest()

### saveProjectAsRequest

    public boolean saveProjectAsRequest(KnowledgeBaseFactory factory)

### saveProjectRequest

    public boolean saveProjectRequest()

### setLookAndFeel

    public void setLookAndFeel(String lookAndFeelName)

### setRootPane

    public void setRootPane(JRootPane rootPane)

### addUserToolBar

    public void addUserToolBar(JToolBar toolBar)

### removeUserToolBar

    public void removeUserToolBar(JToolBar toolBar)

### getUserToolBar

    public JToolBar getUserToolBar(String name)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### updateLookAndFeel

    public void updateLookAndFeel(Collection windows)

### updateUI

    public void updateUI()

### setExitVMOnApplicationExit

    public void setExitVMOnApplicationExit(boolean exit)

### requestRevertProject

    public void requestRevertProject()

### archiveProjectRequest

    public void archiveProjectRequest()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.